Get Users
curl --request POST \
--url https://api.velt.dev/v1/users/get \
--header 'Content-Type: application/json' \
--header 'x-velt-api-key: <x-velt-api-key>' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--data '
{
"data": {
"organizationId": "<string>",
"documentId": "<string>",
"userIds": [
"<string>"
],
"organizationUserGroupIds": [
"<string>"
]
}
}
'import requests
url = "https://api.velt.dev/v1/users/get"
payload = { "data": {
"organizationId": "<string>",
"documentId": "<string>",
"userIds": ["<string>"],
"organizationUserGroupIds": ["<string>"]
} }
headers = {
"x-velt-api-key": "<x-velt-api-key>",
"x-velt-auth-token": "<x-velt-auth-token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-velt-api-key': '<x-velt-api-key>',
'x-velt-auth-token': '<x-velt-auth-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
organizationId: '<string>',
documentId: '<string>',
userIds: ['<string>'],
organizationUserGroupIds: ['<string>']
}
})
};
fetch('https://api.velt.dev/v1/users/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"status": "success",
"message": "User(s) retrieved successfully.",
"data": [
{
"email": "userEmail@domain.com",
"name": "userName",
"userId": "yourUserId"
}
]
}
}
Users
Get users (v1)
Retrieve Velt users filtered by organization, document, user group, or user IDs via the v1 REST API. Use with SDK v3 or earlier versions.
POST
/
v1
/
users
/
get
Get Users
Use this API to retrieve users based on various filters such as organization ID, document ID, organization user group IDs or user IDs. You can use these filters in various combinations to get the desired users. Some examples are shown below.
Use this for SDK v3 or prior versions.
Endpoint
POST https://api.velt.dev/v1/users/get
Headers
Your API key.
Your Auth Token.
Body
Params
Example Requests
1. Get users by organizationId
{
"data": {
"organizationId": "yourOrganizationId"
}
}
2. Get users by documentId within an organization
{
"data": {
"organizationId": "yourOrganizationId",
"documentId": "yourDocumentId"
}
}
3. Get users by specific user IDs in an organization
{
"data": {
"organizationId": "yourOrganizationId",
"userIds": [
"yourUserId1",
"yourUserId2"
]
}
}
4. Get users by specific user IDs in the given organization and document
{
"data": {
"organizationId": "yourOrganizationId",
"documentId": "yourDocumentId",
"userIds": [
"yourUserId1",
"yourUserId2"
]
}
}
5. Get users by organization and organization user group IDs
{
"data": {
"organizationId": "yourOrganizationId",
"organizationUserGroupIds": [
"yourOrganizationUserGroupId"
]
}
}
6. Get users by organization, organization user group IDs and user IDs
{
"data": {
"organizationId": "yourOrganizationId",
"userIds": [
"yourUserId1",
"yourUserId2"
],
"organizationUserGroupIds": [
"yourOrganizationUserGroupId"
]
}
}
Response
Success Response
{
"result": {
"status": "success",
"message": "User(s) retrieved successfully.",
"data": [
{
"email": "userEmail@domain.com",
"name": "userName",
"userId": "yourUserId"
}
]
}
}
Failure Response
{
"error": {
"message": "Error retrieving user(s).",
"status": "ERROR_CODE"
}
}
{
"result": {
"status": "success",
"message": "User(s) retrieved successfully.",
"data": [
{
"email": "userEmail@domain.com",
"name": "userName",
"userId": "yourUserId"
}
]
}
}
Was this page helpful?
⌘I

